#declare a=2;
#declare b=1;
#declare c=-2;

camera { location  <0,25,0> look_at   <0,0,0>}
background { rgb <94/255,1,243/255> } 

light_source {<10,0,0> color rgb<1,1,1> shadowless}   // On a choisi de mettre 6 lumires afin de nous assurer un bon clairage
light_source {<-10,0,0> color rgb<1,1,1> shadowless}  // shadowless nous permet d'avoir de la lumire mais avoir des ombres
light_source {<0,10,0> color rgb<1,1,1> shadowless}
light_source {<0,-10,-0> color rgb<1,1,1> shadowless}
light_source {<0,0,10> color rgb<1,1,1> shadowless}
light_source {<0,0,-10> color rgb<1,1,1> shadowless}

#declare limit=7;
isosurface{ function { ((x*x)/a) + ((y*y)/b) + ((z*z)/c) }       // C'est la fonction isosurface qui nous permet de tracer la quadrique
  threshold 1                                                                     // elle vas donc nous tracer la fonction que l'on note gale  1 ( car threshold=1)
  accuracy 0.001										     // en modifiant l'accurancy et le max_gradient on peut jouer sur la qualite de la reprsentation
  max_gradient 50
  contained_by{box{<-limit,-limit,-limit>,<limit,limit,limit>}} // La reprsentation sera contenue dans cette bote
  open
  texture{ pigment {rgbt <145/255,120/255,1,0> } } 
}
  
#declare axe=7;                                                                      // Nous avons mis des axes afin de pouvoir nous reprer dans l'espace.
#declare taille=0.12;                                                               //Avec axe on modifie la longueur des axes et avec taille on modifie leur grosseur.
object { cone {<0,0,0>,taille,<axe,0,0>,taille  pigment {rgbt <35/255,36/255,137/255,0> } } }        //Chaque axe est compos d'une segment et d'un cone.
object { cone {<axe+0.1*axe,0,0>,0,<axe,0,0>,taille+0.1 pigment {rgbt <35/255,36/255,137/255,0> } } }  //la premire ligne c'est le segment, l'autre c'est le cone.       

object { cone {<0,0,0>,taille,<0,axe,0>,taille pigment {rgbt <137/255,25/255,22/255,0> } } }
object { cone {<0,axe+0.1*axe,0>,0,<0,axe,0>,taille+0.1 pigment {rgbt <137/255,25/255,22/255,0> } } }

object { cone {<0,0,0>,taille,<0,0,axe>,taille  pigment {rgbt <19/255,137/255,23/255,0> } } }
object { cone {<0,0,axe+0.1*axe>,0,<0,0,axe>,taille+0.1 pigment {rgbt <19/255,137/255,23/255,0> } } }
